# Uses of Interface
javax.xml.transform.URIResolver

Packages that use URIResolver
Package
Description
javax.xml.catalog
Provides the classes for implementing XML Catalogs OASIS Standard V1.1, 7 October 2005.
javax.xml.transform
Defines the generic APIs for processing transformation instructions, and performing a transformation from source to result.

- ## Uses of URIResolver in javax.xml.catalog

  Subinterfaces of URIResolver in javax.xml.catalog
  Modifier and Type
  Interface
  Description
  `interface`
  `CatalogResolver`
  A Catalog Resolver that implements SAX `EntityResolver`, StAX `XMLResolver`, DOM LS `LSResourceResolver` used by Schema Validation, and Transform `URIResolver`, and resolves external references using catalogs.

- ## Uses of URIResolver in javax.xml.transform

  Methods in javax.xml.transform that return URIResolver
  Modifier and Type
  Method
  Description
  `abstract URIResolver`
  Transformer.`getURIResolver()`
  Get an object that will be used to resolve URIs used in document().
  `abstract URIResolver`
  TransformerFactory.`getURIResolver()`
  Get the object that is used by default during the transformation to resolve URIs used in document(), xsl:import, or xsl:include.
  Methods in javax.xml.transform with parameters of type URIResolver
  Modifier and Type
  Method
  Description
  `abstract void`
  Transformer.`setURIResolver(URIResolver resolver)`
  Set an object that will be used to resolve URIs used in document().
  `abstract void`
  TransformerFactory.`setURIResolver(URIResolver resolver)`
  Set an object that is used by default during the transformation to resolve URIs used in document(), xsl:import, or xsl:include.